Bug 1840992 - Update helm get release public API
Summary: Update helm get release public API
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.5
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.5.0
Assignee: Akash Shinde
QA Contact: Gajanan More
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-28 05:01 UTC by Akash Shinde
Modified: 2020-07-13 17:42 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-13 17:42:22 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 4924 0 None closed Bug 1840992: Refactor release_name query param to name 2020-06-23 14:27:56 UTC
Red Hat Product Errata RHBA-2020:2409 0 None None None 2020-07-13 17:42:37 UTC

Description Akash Shinde 2020-05-28 05:01:31 UTC
Description of problem:
Update public API /helm/release -
Currently it uses query parameter `release_name` which needs to be changed to `name`.

Comment 3 Gajanan More 2020-06-11 06:48:59 UTC
When you make upgrade request from UI along with upgrade there would be another api call to /helm/release?name=name, earlier it was helm/release?release_name=name.
I have validated the bugzilla on the:
Build: 4.5.0-0.nightly-2020-06-10-224736
Browser: Google Chrome Version 81.0.4044.129
Marking this as verified.

Comment 4 errata-xmlrpc 2020-07-13 17:42:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.